--- title: "EDRF APIs" slug: "edrf-apis" tags: ["EDR with Forensics (EDRF)", "Endpoint Security", "Incident Responder"] status: "update" updated: 2026-09-11T10:51:50Z published: 2026-09-11T10:52:02Z canonical: "docs.trellix.com/edrf-apis" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # EDRF APIs Make sure to have these details ready before using any of these EDRF APIs: - **Gateway URL** — get the gateway URL from the Trellix on-boarding email. For example, `https://api.manage.trellix.com`. - **Authorization key** — generate a token using the Trellix Developer portal or from Client Credentials option in Trellix IAM. For more information on generating Client Credentials and Token from Trellix IAM, see [Managing your client credentials in IAM](/v1/docs/edrf-apis#managing-your-client-credentials-in-iam). > [!NOTE] > Note > > If you encounter API SKU or Developer Hub SKU errors while accessing any information in the Trellix Developers portal or Trellix Market place, use the following links: > > - [Trellix Developers Portal](https://developer.manage.trellix.com/public/mvision/docs/dpskuerror) > - [Trellix Marketplace](https://developer.manage.trellix.com/public/mvision/docs/mpskuerror) The client credentials are available in your Trellix on-boarding email. However, you can follow these steps to generate credentials again #### **Managing your client credentials in IAM** To generate Client Credentials and Access Token from Trellix IAM, follow the below steps. 1. Log in to the Trellix IAM with your user credentials. 2. At the top right of the page, click on the user icon, and from the dropdown, select **Client Credentials**. ![Trellix_IAM_Client_Credentials.png](https://cdn.us.document360.io/0d453a50-e1da-4d4a-9409-fea7959614d8/Images/Documentation/uuid-a9642081-6073-15a6-79b7-af8f1e733d55.png?sv=2026-02-06&spr=https&st=2026-11-19T21%3A04%3A05Z&se=2026-11-19T22%3A04%3A05Z&sr=c&sp=r&sig=FdAYKQgQ8No2%2BFcjR0CE7g2PDZ4n9v6iRqh3ELgml4c%3D) Another page opens where you can see your Trellix Application Programming Interface (API) key. 3. At the top right corner of the page, click **Add**. 4. (optional) Add a description for the new client credentials. 5. Select all EDR-related scopes as shown below: ![Client_Creds_IAM.png](https://cdn.us.document360.io/0d453a50-e1da-4d4a-9409-fea7959614d8/Images/Documentation/uuid-bdfd3eba-8599-f6f0-2adf-8625803cc9fc.png?sv=2026-02-06&spr=https&st=2026-11-19T21%3A04%3A05Z&se=2026-11-19T22%3A04%3A05Z&sr=c&sp=r&sig=FdAYKQgQ8No2%2BFcjR0CE7g2PDZ4n9v6iRqh3ELgml4c%3D) 6. Click **Create**. 7. Your Client ID and Secret will be generated as shown below: ![Creds_and_secret_key_IAM.PNG](https://cdn.us.document360.io/0d453a50-e1da-4d4a-9409-fea7959614d8/Images/Documentation/uuid-207bde51-bfa4-3252-c243-09d1fdfba339.PNG?sv=2026-02-06&spr=https&st=2026-11-19T21%3A04%3A05Z&se=2026-11-19T22%3A04%3A05Z&sr=c&sp=r&sig=FdAYKQgQ8No2%2BFcjR0CE7g2PDZ4n9v6iRqh3ELgml4c%3D) 8. Use the following API call to obtain the tenant token, which can then be used to make API calls: ```plaintext curl --location 'https://iam.cloud.trellix.com/iam/v1.0/token?grant_type=client_credentials&scope=' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Basic ' ``` - **x-api-key** — get the x-api-key from your on-boarding email. Also, you can navigate to the API Access Information page to fetch the API key. You can use the following scopes to perform different operations: - soc.hts.c — create historical search query - soc.hts.r — read historical search query status and results - soc.rts.c — create real-time search query - soc.rts.r — read real-time search query status and results - mi.user.investigate — read and write investigation cases - soc.act.tg and mi.user.config — read and write remediation requests - soc.act.tg — get threats and alerts - soc.edrfd.w and soc.edrfd.r — read and write activity feed configurations The API samples help you to create requests, get status, get results, and get results in the file format: - [API sample for Real-time Search](/v1/docs/api-sample-for-real-time-search) - [API sample for Historical Search](/v1/docs/api-sample-for-historical-search) - [API sample for Investigation](/v1/docs/api-sample-for-investigation) - [API sample for Remediation](/v1/docs/api-sample-for-remediation) - [API sample for Threats and Alerts](/v1/docs/api-sample-for-threats-and-alerts) - [API sample for Activity feed](/v1/docs/api-sample-for-activity-feed) These samples can be used to understand the usage of APIs. For more details, see [Trellix Developer Portal](https://developer.manage.trellix.com/mvision/apis/home). ### Sample scripts to consume EDRF APIs To understand and better usage of these APIs, see EDRF API sample scripts from [Trellix GitHub repository](https://github.com/trellix-enterprise/MVISION_EDR_SampleScript). ### EDRF API integration scripts To enable certain API workflows, see EDRF API integration scripts from [Trellix GitHub repository](https://github.com/trellix-enterprise/EDR-Integration-Scripts). These scripts replace the earlier scripts available in GitHub repository. For detailed information about how to use these scripts, see **readme.md** from the particular sample or integration scripts on [Trellix GitHub repository](https://github.com/trellix-enterprise). > [!NOTE] > Note > > These EDRF API scripts are intended solely for testing purposes. Please note that Trellix does not provide any support for it.